---
title: "GitLab Live Event Recap"
author: Erica Lindberg
author_twitter: EricaLindberg_
categories: inside GitLab
image_title: '/images/social-media-assets/campaigns/live-event/linkedin-4-5x.png'
description: "Watch the recording of the GitLab Master Plan plus event highlights and slides."
twitter_image: '/images/social-media-assets/campaigns/live-event/twitter-4-5x.png'
date: 2016-09-14 17:01
---

{::options parse_block_html="true" /}

[Join us for our next webcast][cycle-analytics-webcast-reg] on September 29th for an
introduction to Cycle Analytics and a 8.12 Feature Release demo.
{: .alert .alert-info .text-center}

The world of software development is changing and time to market matters more
now than ever before. The world's best companies are reducing cycle time to
ship software at an incredible pace. In this brave new world, businesses that
can iterate more quickly than their competitors will win. To help you stay
competitive, [we are building][gitlab-scope] the most natural and cohesive
process for teams to move from idea to production in a single UI.

Following the [announcement][funding-post] of our $20M Series B funding led
by [August Capital], we hosted a live event with our CEO [Sid Sijbrandij][sid-twitter]
and MC [Jono Bacon][jono-twitter]. More than 1,000 GitLab community members attended
to watch, ask questions, and contribute to the conversation. Within 12 hours of our
funding announcement, **2,508 new projects** were added to GitLab. Thanks to our
awesome community for your continued support! 

<!-- more -->

## In This Webcast

- The Nature of Open Source Communities
- GitLab's Evolution
- The Software Development Revolution
- Introduction to Conversational Development (ConvDev)
- GitLab in a Conversational World
- Demo Video
- Panel and Q&A Session with [Villi Iltchev][villi], partner at August Capital, GitLab CEO [Sid Sijbrandij][sid-twitter], VP of Product [Job van der Voort][job-twitter], and CMO [Ashley Smith][ashley-twitter].

## Recording & Slides

### Event recording

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/iV7mVGPXrxU" frameborder="0" allowfullscreen> </iframe>
</figure>

<br>

### Demo Recording

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/ZRcWCWatdas" frameborder="0" allowfullscreen> </iframe>
</figure>

<br>

### Slides

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/12iugxtSBuHutwKua6MNerZ37CCDwLYrjTXyBeThFxjs/embed?start=false&loop=false&delayms=5000" frameborder="0" width="1280" height="749" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure>

## Key Takeaways

If you don’t have time to watch the full video, here are the highlights.

<div class="panel panel-info">
**Building an Open Source Community**
{: .panel-heading}
<div class="panel-body">
Building great open source communities isn't easy. Collaboration requires
human interaction, but human dynamics are often irrational yet predictable.
When we harness these basic behavioral economics principles, we can make better
systems that help us work together.

![Live Event presentation - slide 6](/images/blogimages/gitlab-live-event-recap-slide-6.png)

</div>
</div>

<div class="panel panel-success">
**GitLab's Evolution**
{: .panel-heading}
<div class="panel-body">
GitLab started in 2011 as an open source project simply because "we wanted an
open source git solution so we built GitLab," according to Dmitriy Zaporozhets,
co-founder and CTO. Today, we've grown from a team of 2 to 104 team members
spanning 33 countries. As of May 2016, we have over 1,000 contributors!

Over the last year we have made some incredible [improvements][releases] to our product. We
made amazing improvements in hosting, released [GitLab Pages] for static sites,
and we have [GitLab Geo] that allows you to work with a remote team. [Continuous
Integration] is getting even better with pipelines in the product and a [Docker
Container Registry]. The interface has seen a lot of changes and improvements
including our [Issue Board] release. We're excited about all of the
improvements we've made so far and can't wait to share more with you.
</div>
</div>

<div class="panel panel-gitlab">
**The Software Development Revolution** 
{: .panel-heading}
<div class="panel-body">
As the world of software development evolves, outdated processes like Waterfall,
Scrum, and Agile aren't suitable for the modern developer. There are five factors
driving this change: shifts in the market, changes in developer roles and the ways we
communicate, an explosion of new tools, and the transformation of how modern teams
work together to move faster and reduce cycle time.  
</div>
</div>

<div class="panel panel-info">
**Reduce Cycle Time to Improve Efficiency**
{: .panel-heading}
<div class="panel-body">
Cycle time is the time it takes to move [from idea to production][ci-cd-cd].

To adapt to the emerging new world of software development, teams need to ship
code faster. This is best accomplished by reducing the cycle time to 57 minutes
by establishing cross-functional teams, automated testing, adopting infrastructure
as code, and by removing hand-offs.
</div>
</div>

<div class="panel panel-success">
**Conversational Development (ConvDev)**
{: .panel-heading #convdev}
<div class="panel-body">

> _Conversational Development (ConvDev) is a natural evolution of software development
that carries a conversation across functional groups throughout the development
process, enabling developers to track the full path of development in a cohesive
and intuitive way. ConvDev accelerates the development lifecycle by fostering
collaboration and knowledge sharing from idea to production._

**5 Principles of Conversational Development**

1. Reduce the cycle time to increase effectiveness
2. Monitor the process from idea to production
3. Thread the conversations through all stages
4. Gatekeepers become part of the conversation
5. The rest of the organization can contribute

**Benefits of ConvDev**

1. Shipping smaller and simpler changes is more efficient 
2. Frequent interactions gather more information 
3. Quicker to respond to market need
4. Higher predictability
5. Sense of progress 
</div>
</div>

<div class="panel panel-gitlab">
**GitLab Product Vision**
{: .panel-heading}
<div class="panel-body">
We plan to ship all 10 steps in the modern development lifecycle:

![FROM IDEA TO PRODUCTION IN 10 STEPS](/images/blogimages/idea-to-production-10-steps.png)

From ideation and planning to committing, testing, deploying, and getting feedback, we are building a toolset that takes an all-inclusive approach to the development process. You should honestly hear Sid talk about what we have planned:

- [19:50] "We'll be shipping Cycle Analytics this month"
- [20:00] "After we ship all of these steps, we're not done. We want to make integrations better"
- [20:15] "We want to become the solution for conversational development"
- [20:20] "We'll ship cycle time, we'll ship review apps" 
- [20:32] "We'll ship with Prometheus for monitoring" 
- [20:50] "We'll ship better with container schedulers" 
- [21:10] "We think it's great to use GitLab for everything, but we're going to make sure we have all the APIs" 
- [22:00] "We want to make GitLab and GitLab.com faster" 
- [22:10] "We want to make it easy to migrate to GitLab" 
</div>
</div>

<div class="panel panel-gitlab-purple">
**GitLabLive Community Discussion**
{: .panel-heading}
<div class="panel-body">

Take a look at the discussion on the event using the hashtag _#GitLabLive_.
It's awesome to seeing the community engagement, we thank you all!

{::options parse_block_html="false" /}

<div class="center">

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">Netwon:Einstein = <a href="https://twitter.com/hashtag/Agile?src=hash">#Agile</a>:<a href="https://twitter.com/hashtag/ConvDev?src=hash">#ConvDev</a> - seems good to me <a href="https://twitter.com/hashtag/gitlablive?src=hash">#gitlablive</a></p>&mdash; Lorenzo Sciandra (@Kelset) <a href="https://twitter.com/Kelset/status/775755128418799620">September 13, 2016</a></blockquote>
<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr"><a href="https://twitter.com/gitlab">@gitlab</a> What is your plan to get the other 70% of software developers use version control? <a href="https://twitter.com/hashtag/GitLabLive?src=hash">#GitLabLive</a></p>&mdash; Oana Sipos (@oanasipos) <a href="https://twitter.com/oanasipos/status/775751522978332672">September 13, 2016</a></blockquote>
<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr"><a href="https://twitter.com/hashtag/GitlabLive?src=hash">#GitlabLive</a> I want to know how you&#39;ve been able to deliver so much great new stuff so fast between 8.9 and today.  Is remote first a key?</p>&mdash; Warren Postma (@WarrenPostma) <a href="https://twitter.com/WarrenPostma/status/775746061080096769">September 13, 2016</a></blockquote>
<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">If there’s one thing <a href="https://twitter.com/gitlab">@gitlab</a> and <a href="https://twitter.com/sytses">@sytses</a> excels at it’s open two way communication as evident by the structure of <a href="https://twitter.com/hashtag/GitLabLive?src=hash">#GitLabLive</a></p>&mdash; Hugo Tunius (@K0nserv) <a href="https://twitter.com/K0nserv/status/775757500163432448">September 13, 2016</a></blockquote>
<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

<blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr"><a href="https://twitter.com/hashtag/GitLabLive?src=hash">#GitLabLive</a> <a href="https://twitter.com/gitlab">@gitlab</a> talks &quot;Conversational Development&quot;... are they planning on developing an entire ecosystem of tools like Atlassian?</p>&mdash; wells lucas santo (@theonlyDevking) <a href="https://twitter.com/theonlyDevking/status/775747279248646150">September 13, 2016</a></blockquote>
<script async src="//platform.twitter.com/widgets.js" charset="utf-8"></script>

</div>
</div>
</div>

## Let's Talk More About it?

Please keep the comments coming! We'll be glad to hear your impressions, opinions,
questions, ideas, and feedback on our direction towards Conversational Development.
Use the hashtag _#ConvDev_ to join the discussion.

Thank you again for your massive collaboration, the entire GitLab Team was super
excited to see everyone popping up in the event chat and social media feeds!

We'll be happy to see you again in our next webcast on September 29th for an
introduction to Cycle Analytics and a 8.12 Feature Release demo. [Register here][cycle-analytics-webcast-reg].

As always, if you have any questions feel free to comment on this post or [tweet at us][gitlab-twitter].

<!-- identifiers -->

[10 steps]: /2016/08/22/announcing-the-gitlab-issue-board/#gitlab-from-idea-to-production
[ashley-twitter]: https://twitter.com/ashl3ysm1th
[ci-cd-cd]: /2016/08/05/continuous-integration-delivery-and-deployment-with-gitlab/#from-idea-to-production-with-gitlab
[Continuous Integration]: /2016/08/05/continuous-integration-delivery-and-deployment-with-gitlab/
[cycle-analytics-webcast-reg]: https://page.gitlab.com/20160922_CycleAnalyticsWebcast.html
[Docker Container Registry]: /2016/05/23/gitlab-container-registry/
[funding-post]: /2016/09/13/gitlab-master-plan/
[GitLab Geo]: https://docs.gitlab.com/ee/gitlab-geo/README.html
[GitLab Pages]: https://pages.gitlab.io/
[gitlab-scope]: /direction/#scope
[gitlab-twitter]: https://twitter.com/gitlab
[Issue Board]: /features/issueboard/
[job-twitter]: https://twitter.com/Jobvo
[jono-twitter]: https://twitter.com/jonobacon
[releases]: /blog/categories/release/
[sid-twitter]: https://twitter.com/sytses
[villi]: http://www.augustcap.com/team/villi-iltchev/
[august capital]: http://www.augustcap.com/

<!-- custom styles -->

<style>
.panel-gitlab {
  border-color: rgba(252,163,38,.3);
}
.panel-gitlab > .panel-heading {
  color: rgb(226,67,41);
  background-color: rgba(252,163,38,.3);
  border-color: rgba(252,163,38,.3);
}
.panel-gitlab-purple {
  border-color: rgba(107,79,187,.3);
}
.panel-gitlab-purple > .panel-heading {
  color: rgb(107,79,187);
  background-color: rgba(107,79,187,.3);
  border-color: rgba(107,79,187,.3);
}
.center twitterwidget {
  margin-left: auto;
  margin-right: auto;
  display: block;
  box-shadow: 0 4px 18px 0 rgba(0, 0, 0, 0.1), 0 6px 20px 0 rgba(0, 0, 0, 0.09);
  margin-bottom: 20px;
  margin-top: 20px;
}
.text-center {
  text-align: center;
}
</style>
